Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Pierre-Louis Bossart <[email-masked]>
Date: Thu, 23 Apr 2020 07:26:32 -0500

On 4/23/20 6:30 AM, Mark Brown wrote:
> On Thu, Apr 23, 2020 at 03:55:39PM +1000, Stephen Rothwell wrote:
> 
>> Presumably caused by (one of) commits
> 
>>    fe17e6cdc0fe ("ASoC: SOF: imx8: Fix randbuild error")
>>    cb0312f61c3e ("ASoC: SOF: imx: fix undefined reference issue")
> 
>> I just removed the COMPILE_TEST from SND_SOC_SOF_IMX_TOPLEVEL for today.
> 
> It looks like this is triggered by PowerPC not including
> drivers/firmware - there are missing dependencies but it works for other
> all*configs since the dependencies all get built in those.  It would be
> helpful if PowerPC were fixed to include the firmware directory to
> improve coverage.

We have a fix for this, I'll send it later today. There were still unmet 
dependencies and inconsistent use of select/depends.